curl --request POST \
--url https://api.stage.localpayment.com/api/virtual-account-batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"externalId": "de14bcf2-45ee-22e3-ab59-99c3fcba31e8",
"accountNumber": "{{yourLocalpaymentAccountNumber}}",
"country": "MEX",
"name": "Virtual Account",
"accounts": [
{
"externalId": "9210b519-5c29-4419-8d28-04f7543a914f",
"beneficiary": {
"type": "INDIVIDUAL",
"name": "Zhang",
"lastname": "Wei",
"document": {
"id": "EXTF900101NI1",
"type": "RFC"
}
}
},
{
"externalId": "e4914217-41bc-49a5-b2f8-df950bf9bae7",
"beneficiary": {
"type": "INDIVIDUAL",
"name": "John",
"lastname": "Doe",
"document": {
"id": "EXTF900101NI2",
"type": "RFC"
}
}
}
]
}
'
{
"externalId": "7facbc4f-4c79-4a15-caeb-75833a3f35ec",
"internalId": "1748f8f8-dcac-4547-b3fb-7d6529245d84",
"accountNumber": "{{yourLocalpaymentAccountNumber}}",
"status": {
"code": "100",
"description": "INPROGRESS",
"detail": "Batch Process Virtual Account in progress"
},
"comment": "For obtaining the asynchronous response, kindly submit a request to the service after a brief interval. GET {api_environment_url}/api/virtual-account-batch/7facbbbf-d279-4ab5-9aeb-7583fa3f35ec"
}
Virtual Accounts
Criar Virtual Accounts em lote
POST
/
api
/
virtual-account-batch
curl --request POST \
--url https://api.stage.localpayment.com/api/virtual-account-batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"externalId": "de14bcf2-45ee-22e3-ab59-99c3fcba31e8",
"accountNumber": "{{yourLocalpaymentAccountNumber}}",
"country": "MEX",
"name": "Virtual Account",
"accounts": [
{
"externalId": "9210b519-5c29-4419-8d28-04f7543a914f",
"beneficiary": {
"type": "INDIVIDUAL",
"name": "Zhang",
"lastname": "Wei",
"document": {
"id": "EXTF900101NI1",
"type": "RFC"
}
}
},
{
"externalId": "e4914217-41bc-49a5-b2f8-df950bf9bae7",
"beneficiary": {
"type": "INDIVIDUAL",
"name": "John",
"lastname": "Doe",
"document": {
"id": "EXTF900101NI2",
"type": "RFC"
}
}
}
]
}
'
{
"externalId": "7facbc4f-4c79-4a15-caeb-75833a3f35ec",
"internalId": "1748f8f8-dcac-4547-b3fb-7d6529245d84",
"accountNumber": "{{yourLocalpaymentAccountNumber}}",
"status": {
"code": "100",
"description": "INPROGRESS",
"detail": "Batch Process Virtual Account in progress"
},
"comment": "For obtaining the asynchronous response, kindly submit a request to the service after a brief interval. GET {api_environment_url}/api/virtual-account-batch/7facbbbf-d279-4ab5-9aeb-7583fa3f35ec"
}
Este endpoint permite criar várias contas virtuais simultaneamente, agilizando o processo de criação de contas quando se lida com um grande número de contas. É possível criar entre 10 e 5000 contas virtuais através de um array.
Autorizações
Cabeçalhos
Token de acesso Bearer para autenticação. Este token é obtido nos endpoints Obter token de acesso ou Renovar token de acesso.
Corpo
application/json
País. ISO 3166-1 alfa-3.
Opções disponíveis:
ARG, BRA, CHL, MEX Resposta
OK
Última modificação em 10 de novembro de 2026

